org.optaplanner.core.impl.score.stream.quad

## Interface InnerQuadConstraintStream<A,B,C,D>

- All Superinterfaces:
    ConstraintStream, QuadConstraintStream<A,B,C,D>
  All Known Implementing Classes:
    DroolsAbstractQuadConstraintStream, DroolsFilterQuadConstraintStream, DroolsJoinQuadConstraintStream, DroolsScoringQuadConstraintStream

      public interface InnerQuadConstraintStream<A,B,C,D>
      extends QuadConstraintStream<A,B,C,D>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Constraint` | `impactScore(String constraintPackage, String constraintName, Score<?> constraintWeight, ToIntQuadFunction<A,B,C,D> matchWeigher, boolean positive)`
    `Constraint` | `impactScoreBigDecimal(String constraintPackage, String constraintName, Score<?> constraintWeight, QuadFunction<A,B,C,D,BigDecimal> matchWeigher, boolean positive)`
    `Constraint` | `impactScoreConfigurable(String constraintPackage, String constraintName, ToIntQuadFunction<A,B,C,D> matchWeigher, boolean positive)`
    `Constraint` | `impactScoreConfigurableBigDecimal(String constraintPackage, String constraintName, QuadFunction<A,B,C,D,BigDecimal> matchWeigher, boolean positive)`
    `Constraint` | `impactScoreConfigurableLong(String constraintPackage, String constraintName, ToLongQuadFunction<A,B,C,D> matchWeigher, boolean positive)`
    `Constraint` | `impactScoreLong(String constraintPackage, String constraintName, Score<?> constraintWeight, ToLongQuadFunction<A,B,C,D> matchWeigher, boolean positive)`
    `default Constraint` | `penalize(String constraintPackage, String constraintName, Score<?> constraintWeight, ToIntQuadFunction<A,B,C,D> matchWeigher)` As defined by `QuadConstraintStream.penalize(String, Score, ToIntQuadFunction)`.
    `default Constraint` | `penalizeBigDecimal(String constraintPackage, String constraintName, Score<?> constraintWeight, QuadFunction<A,B,C,D,BigDecimal> matchWeigher)` As defined by `QuadConstraintStream.penalizeBigDecimal(String, Score, QuadFunction)`.
    `default Constraint` | `penalizeConfigurable(String constraintPackage, String constraintName, ToIntQuadFunction<A,B,C,D> matchWeigher)` As defined by `QuadConstraintStream.penalizeConfigurable(String, ToIntQuadFunction)`.
    `default Constraint` | `penalizeConfigurableBigDecimal(String constraintPackage, String constraintName, QuadFunction<A,B,C,D,BigDecimal> matchWeigher)` As defined by `QuadConstraintStream.penalizeConfigurableBigDecimal(String, QuadFunction)`.
    `default Constraint` | `penalizeConfigurableLong(String constraintPackage, String constraintName, ToLongQuadFunction<A,B,C,D> matchWeigher)` As defined by `QuadConstraintStream.penalizeConfigurableLong(String, ToLongQuadFunction)`.
    `default Constraint` | `penalizeLong(String constraintPackage, String constraintName, Score<?> constraintWeight, ToLongQuadFunction<A,B,C,D> matchWeigher)` As defined by `QuadConstraintStream.penalizeLong(String, Score, ToLongQuadFunction)`.
    `default Constraint` | `reward(String constraintPackage, String constraintName, Score<?> constraintWeight, ToIntQuadFunction<A,B,C,D> matchWeigher)` As defined by `QuadConstraintStream.reward(String, Score, ToIntQuadFunction)`.
    `default Constraint` | `rewardBigDecimal(String constraintPackage, String constraintName, Score<?> constraintWeight, QuadFunction<A,B,C,D,BigDecimal> matchWeigher)` As defined by `QuadConstraintStream.rewardBigDecimal(String, Score, QuadFunction)`.
    `default Constraint` | `rewardConfigurable(String constraintPackage, String constraintName, ToIntQuadFunction<A,B,C,D> matchWeigher)` As defined by `QuadConstraintStream.rewardConfigurable(String, ToIntQuadFunction)`.
    `default Constraint` | `rewardConfigurableBigDecimal(String constraintPackage, String constraintName, QuadFunction<A,B,C,D,BigDecimal> matchWeigher)` As defined by `QuadConstraintStream.rewardConfigurableBigDecimal(String, QuadFunction)`.
    `default Constraint` | `rewardConfigurableLong(String constraintPackage, String constraintName, ToLongQuadFunction<A,B,C,D> matchWeigher)` As defined by `QuadConstraintStream.rewardConfigurableLong(String, ToLongQuadFunction)`.
    `default Constraint` | `rewardLong(String constraintPackage, String constraintName, Score<?> constraintWeight, ToLongQuadFunction<A,B,C,D> matchWeigher)` As defined by `QuadConstraintStream.rewardLong(String, Score, ToLongQuadFunction)`.

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.quad.QuadConstraintStream

      `filter, penalize, penalizeBigDecimal, penalizeConfigurable, penalizeConfigurableBigDecimal, penalizeConfigurableLong, penalizeLong, reward, rewardBigDecimal, rewardConfigurable, rewardConfigurableBigDecimal, rewardConfigurableLong, rewardLong`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.ConstraintStream

      `getConstraintFactory, penalize, penalize, penalizeConfigurable, penalizeConfigurable, reward, reward, rewardConfigurable, rewardConfigurable`

- - ### Method Detail

    - #### penalize

          default Constraint penalize(String constraintPackage,
                                      String constraintName,
                                      Score<?> constraintWeight,
                                      ToIntQuadFunction<A,B,C,D> matchWeigher)

      Description copied from interface: `QuadConstraintStream`
      As defined by `QuadConstraintStream.penalize(String, Score, ToIntQuadFunction)`.
      Specified by:
        `penalize` in interface `QuadConstraintStream<A,B,C,D>`
      Parameters:
        `constraintPackage` - never null
        `constraintName` - never null
        `constraintWeight` - never null
        `matchWeigher` - never null
      Returns:
        never null

    - #### penalizeLong

          default Constraint penalizeLong(String constraintPackage,
                                          String constraintName,
                                          Score<?> constraintWeight,
                                          ToLongQuadFunction<A,B,C,D> matchWeigher)

      Description copied from interface: `QuadConstraintStream`
      As defined by `QuadConstraintStream.penalizeLong(String, Score, ToLongQuadFunction)`.
      Specified by:
        `penalizeLong` in interface `QuadConstraintStream<A,B,C,D>`
      Parameters:
        `constraintPackage` - never null
        `constraintName` - never null
        `constraintWeight` - never null
        `matchWeigher` - never null
      Returns:
        never null

    - #### penalizeBigDecimal

          default Constraint penalizeBigDecimal(String constraintPackage,
                                                String constraintName,
                                                Score<?> constraintWeight,
                                                QuadFunction<A,B,C,D,BigDecimal> matchWeigher)

      Description copied from interface: `QuadConstraintStream`
      As defined by `QuadConstraintStream.penalizeBigDecimal(String, Score, QuadFunction)`.
      Specified by:
        `penalizeBigDecimal` in interface `QuadConstraintStream<A,B,C,D>`
      Parameters:
        `constraintPackage` - never null
        `constraintName` - never null
        `constraintWeight` - never null
        `matchWeigher` - never null
      Returns:
        never null

    - #### penalizeConfigurable

          default Constraint penalizeConfigurable(String constraintPackage,
                                                  String constraintName,
                                                  ToIntQuadFunction<A,B,C,D> matchWeigher)

      Description copied from interface: `QuadConstraintStream`
      As defined by `QuadConstraintStream.penalizeConfigurable(String, ToIntQuadFunction)`.
      Specified by:
        `penalizeConfigurable` in interface `QuadConstraintStream<A,B,C,D>`
      Parameters:
        `constraintPackage` - never null
        `constraintName` - never null
        `matchWeigher` - never null
      Returns:
        never null

    - #### penalizeConfigurableLong

          default Constraint penalizeConfigurableLong(String constraintPackage,
                                                      String constraintName,
                                                      ToLongQuadFunction<A,B,C,D> matchWeigher)

      Description copied from interface: `QuadConstraintStream`
      As defined by `QuadConstraintStream.penalizeConfigurableLong(String, ToLongQuadFunction)`.
      Specified by:
        `penalizeConfigurableLong` in interface `QuadConstraintStream<A,B,C,D>`
      Parameters:
        `constraintPackage` - never null
        `constraintName` - never null
        `matchWeigher` - never null
      Returns:
        never null

    - #### penalizeConfigurableBigDecimal

          default Constraint penalizeConfigurableBigDecimal(String constraintPackage,
                                                            String constraintName,
                                                            QuadFunction<A,B,C,D,BigDecimal> matchWeigher)

      Description copied from interface: `QuadConstraintStream`
      As defined by `QuadConstraintStream.penalizeConfigurableBigDecimal(String, QuadFunction)`.
      Specified by:
        `penalizeConfigurableBigDecimal` in interface `QuadConstraintStream<A,B,C,D>`
      Parameters:
        `constraintPackage` - never null
        `constraintName` - never null
        `matchWeigher` - never null
      Returns:
        never null

    - #### reward

          default Constraint reward(String constraintPackage,
                                    String constraintName,
                                    Score<?> constraintWeight,
                                    ToIntQuadFunction<A,B,C,D> matchWeigher)

      Description copied from interface: `QuadConstraintStream`
      As defined by `QuadConstraintStream.reward(String, Score, ToIntQuadFunction)`.
      Specified by:
        `reward` in interface `QuadConstraintStream<A,B,C,D>`
      Parameters:
        `constraintPackage` - never null
        `constraintName` - never null
        `matchWeigher` - never null
      Returns:
        never null

    - #### rewardLong

          default Constraint rewardLong(String constraintPackage,
                                        String constraintName,
                                        Score<?> constraintWeight,
                                        ToLongQuadFunction<A,B,C,D> matchWeigher)

      Description copied from interface: `QuadConstraintStream`
      As defined by `QuadConstraintStream.rewardLong(String, Score, ToLongQuadFunction)`.
      Specified by:
        `rewardLong` in interface `QuadConstraintStream<A,B,C,D>`
      Parameters:
        `constraintPackage` - never null
        `constraintName` - never null
        `matchWeigher` - never null
      Returns:
        never null

    - #### rewardBigDecimal

          default Constraint rewardBigDecimal(String constraintPackage,
                                              String constraintName,
                                              Score<?> constraintWeight,
                                              QuadFunction<A,B,C,D,BigDecimal> matchWeigher)

      Description copied from interface: `QuadConstraintStream`
      As defined by `QuadConstraintStream.rewardBigDecimal(String, Score, QuadFunction)`.
      Specified by:
        `rewardBigDecimal` in interface `QuadConstraintStream<A,B,C,D>`
      Parameters:
        `constraintPackage` - never null
        `constraintName` - never null
        `matchWeigher` - never null
      Returns:
        never null

    - #### rewardConfigurable

          default Constraint rewardConfigurable(String constraintPackage,
                                                String constraintName,
                                                ToIntQuadFunction<A,B,C,D> matchWeigher)

      Description copied from interface: `QuadConstraintStream`
      As defined by `QuadConstraintStream.rewardConfigurable(String, ToIntQuadFunction)`.
      Specified by:
        `rewardConfigurable` in interface `QuadConstraintStream<A,B,C,D>`
      Parameters:
        `constraintPackage` - never null
        `constraintName` - never null
        `matchWeigher` - never null
      Returns:
        never null

    - #### rewardConfigurableLong

          default Constraint rewardConfigurableLong(String constraintPackage,
                                                    String constraintName,
                                                    ToLongQuadFunction<A,B,C,D> matchWeigher)

      Description copied from interface: `QuadConstraintStream`
      As defined by `QuadConstraintStream.rewardConfigurableLong(String, ToLongQuadFunction)`.
      Specified by:
        `rewardConfigurableLong` in interface `QuadConstraintStream<A,B,C,D>`
      Parameters:
        `constraintPackage` - never null
        `constraintName` - never null
        `matchWeigher` - never null
      Returns:
        never null

    - #### rewardConfigurableBigDecimal

          default Constraint rewardConfigurableBigDecimal(String constraintPackage,
                                                          String constraintName,
                                                          QuadFunction<A,B,C,D,BigDecimal> matchWeigher)

      Description copied from interface: `QuadConstraintStream`
      As defined by `QuadConstraintStream.rewardConfigurableBigDecimal(String, QuadFunction)`.
      Specified by:
        `rewardConfigurableBigDecimal` in interface `QuadConstraintStream<A,B,C,D>`
      Parameters:
        `constraintPackage` - never null
        `constraintName` - never null
        `matchWeigher` - never null
      Returns:
        never null

    - #### impactScore

          Constraint impactScore(String constraintPackage,
                                 String constraintName,
                                 Score<?> constraintWeight,
                                 ToIntQuadFunction<A,B,C,D> matchWeigher,
                                 boolean positive)

    - #### impactScoreLong

          Constraint impactScoreLong(String constraintPackage,
                                     String constraintName,
                                     Score<?> constraintWeight,
                                     ToLongQuadFunction<A,B,C,D> matchWeigher,
                                     boolean positive)

    - #### impactScoreBigDecimal

          Constraint impactScoreBigDecimal(String constraintPackage,
                                           String constraintName,
                                           Score<?> constraintWeight,
                                           QuadFunction<A,B,C,D,BigDecimal> matchWeigher,
                                           boolean positive)

    - #### impactScoreConfigurable

          Constraint impactScoreConfigurable(String constraintPackage,
                                             String constraintName,
                                             ToIntQuadFunction<A,B,C,D> matchWeigher,
                                             boolean positive)

    - #### impactScoreConfigurableLong

          Constraint impactScoreConfigurableLong(String constraintPackage,
                                                 String constraintName,
                                                 ToLongQuadFunction<A,B,C,D> matchWeigher,
                                                 boolean positive)

    - #### impactScoreConfigurableBigDecimal

          Constraint impactScoreConfigurableBigDecimal(String constraintPackage,
                                                       String constraintName,
                                                       QuadFunction<A,B,C,D,BigDecimal> matchWeigher,
                                                       boolean positive)

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.